function Jac = jac_pa_biofilm(N,ns)

% Jacobian sparsity matrix calculation
% M. A. Henson, 3/9/15

Jac(1:ns,:) = [ones(ns,2*ns) zeros(ns,(N-1)*ns)];
for i=2:N
    Jac((i-1)*ns+1:(i-1)*ns+ns,:) = [zeros(ns,(i-2)*ns) ones(ns,3*ns) zeros(ns,(N-i)*ns)];
end
Jac(N*ns+1:N*ns+ns,:) = [zeros(ns,(N-1)*ns) ones(ns,2*ns)];

Jac = [Jac; zeros(((N+1)*2),size(Jac,2))];
Jac = [Jac zeros(size(Jac,1),((N+1)*2))];